io.netty.handler.codec.mqtt

## Class MqttMessageBuilders

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders

    public final class MqttMessageBuilders
    extends Object

### Nested Class Summary

Nested Classes
`static class` `MqttMessageBuilders.AuthBuilder`
`static class` `MqttMessageBuilders.ConnAckBuilder`
`static class` `MqttMessageBuilders.ConnAckPropertiesBuilder`
`static class` `MqttMessageBuilders.ConnectBuilder`
`static class` `MqttMessageBuilders.DisconnectBuilder`
`static interface` `MqttMessageBuilders.PropertiesInitializer<T>`
`static class` `MqttMessageBuilders.PubAckBuilder`
`static class` `MqttMessageBuilders.PublishBuilder`
`static class` `MqttMessageBuilders.SubAckBuilder`
`static class` `MqttMessageBuilders.SubscribeBuilder`
`static class` `MqttMessageBuilders.UnsubAckBuilder`
`static class` `MqttMessageBuilders.UnsubscribeBuilder`

### Method Summary

All Methods Static Methods Concrete Methods
`static MqttMessageBuilders.AuthBuilder` `auth()`
`static MqttMessageBuilders.ConnAckBuilder` `connAck()`
`static MqttMessageBuilders.ConnectBuilder` `connect()`
`static MqttMessageBuilders.DisconnectBuilder` `disconnect()`
`static MqttMessageBuilders.PubAckBuilder` `pubAck()`
`static MqttMessageBuilders.PublishBuilder` `publish()`
`static MqttMessageBuilders.SubAckBuilder` `subAck()`
`static MqttMessageBuilders.SubscribeBuilder` `subscribe()`
`static MqttMessageBuilders.UnsubAckBuilder` `unsubAck()`
`static MqttMessageBuilders.UnsubscribeBuilder` `unsubscribe()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### connect

    public static MqttMessageBuilders.ConnectBuilder connect()

#### connAck

    public static MqttMessageBuilders.ConnAckBuilder connAck()

#### publish

    public static MqttMessageBuilders.PublishBuilder publish()

#### subscribe

    public static MqttMessageBuilders.SubscribeBuilder subscribe()

#### unsubscribe

    public static MqttMessageBuilders.UnsubscribeBuilder unsubscribe()

#### pubAck

    public static MqttMessageBuilders.PubAckBuilder pubAck()

#### subAck

    public static MqttMessageBuilders.SubAckBuilder subAck()

#### unsubAck

    public static MqttMessageBuilders.UnsubAckBuilder unsubAck()

#### disconnect

    public static MqttMessageBuilders.DisconnectBuilder disconnect()

#### auth

    public static MqttMessageBuilders.AuthBuilder auth()